Permalink
Browse files

Merge branch 'windows-cr' into devel

  • Loading branch information...
stubailo committed Feb 4, 2015
2 parents a56d73f + 486495a commit 13de1a81abf8a563eccac8feebde4d5a9e75b63d
Showing with 3,192 additions and 1,070 deletions.
  1. +1 −1 meteor
  2. +21 −0 meteor.bat
  3. +1 −1 packages/accounts-base/package.js
  4. +1 −1 packages/accounts-facebook/package.js
  5. +1 −1 packages/accounts-github/package.js
  6. +1 −1 packages/accounts-google/package.js
  7. +1 −1 packages/accounts-meetup/package.js
  8. +1 −1 packages/accounts-meteor-developer/package.js
  9. +1 −1 packages/accounts-oauth/package.js
  10. +2 −2 packages/accounts-password/package.js
  11. +1 −1 packages/accounts-twitter/package.js
  12. +1 −1 packages/accounts-ui-unstyled/package.js
  13. +1 −1 packages/accounts-ui/package.js
  14. +1 −1 packages/accounts-weibo/package.js
  15. +1 −1 packages/appcache/package.js
  16. +1 −1 packages/audit-argument-checks/package.js
  17. +1 −1 packages/autopublish/package.js
  18. +1 −1 packages/autoupdate/package.js
  19. +1 −1 packages/base64/package.js
  20. +1 −1 packages/binary-heap/package.js
  21. +1 −1 packages/blaze-tools/package.js
  22. +1 −1 packages/blaze/package.js
  23. +1 −1 packages/boilerplate-generator/package.js
  24. +1 −1 packages/browser-policy-common/package.js
  25. +1 −1 packages/browser-policy-content/package.js
  26. +1 −1 packages/browser-policy-framing/package.js
  27. +1 −1 packages/browser-policy/package.js
  28. +1 −1 packages/callback-hook/package.js
  29. +1 −1 packages/check/package.js
  30. +1 −1 packages/code-prettify/package.js
  31. +1 −1 packages/coffeescript-test-helper/package.js
  32. +1 −1 packages/coffeescript/package.js
  33. +1 −1 packages/constraint-solver/package.js
  34. +1 −1 packages/ddp/package.js
  35. +1 −1 packages/deps/package.js
  36. +1 −1 packages/disable-oplog/package.js
  37. +1 −1 packages/ejson/package.js
  38. +1 −1 packages/email/package.js
  39. +1 −1 packages/facebook/package.js
  40. +1 −1 packages/facts/package.js
  41. +1 −1 packages/fastclick/package.js
  42. +1 −1 packages/force-ssl/package.js
  43. +1 −1 packages/geojson-utils/package.js
  44. +1 −1 packages/github/package.js
  45. +1 −1 packages/google/package.js
  46. +1 −1 packages/handlebars/package.js
  47. +1 −1 packages/html-tools/package.js
  48. +1 −1 packages/htmljs/package.js
  49. +1 −1 packages/http/package.js
  50. +1 −1 packages/id-map/package.js
  51. +1 −1 packages/insecure/package.js
  52. +1 −1 packages/jquery-waypoints/package.js
  53. +2 −5 packages/jquery/package.js
  54. +1 −1 packages/js-analyze-tests/package.js
  55. +1 −1 packages/js-analyze/package.js
  56. +1 −1 packages/json/package.js
  57. +1 −1 packages/jsparse/package.js
  58. +1 −1 packages/launch-screen/package.js
  59. +1 −1 packages/less/package.js
  60. +1 −1 packages/livedata/package.js
  61. +1 −1 packages/localstorage/package.js
  62. +1 −1 packages/logging/package.js
  63. +1 −1 packages/markdown/package.js
  64. +1 −1 packages/meetup/package.js
  65. +1 −1 packages/meteor-developer/package.js
  66. +1 −1 packages/meteor-platform/package.js
  67. +3 −3 packages/meteor-tool/.versions
  68. +1 −1 packages/meteor-tool/package.js
  69. +1 −1 packages/meteor/package.js
  70. +1 −1 packages/meyerweb-reset/package.js
  71. +28 −3 packages/minifiers/minifiers.js
  72. +1 −1 packages/minifiers/package.js
  73. +1 −1 packages/minimongo/package.js
  74. +1 −1 packages/mobile-status-bar/package.js
  75. +1 −1 packages/mongo-livedata/package.js
  76. +1 −1 packages/mongo/package.js
  77. +1 −1 packages/non-core/npm-bcrypt/.npm/package/npm-shrinkwrap.json
  78. +3 −0 packages/non-core/npm-bcrypt/.versions
  79. +2 −2 packages/non-core/npm-bcrypt/package.js
  80. +3 −0 packages/non-core/npm-node-aes-gcm/.versions
  81. +1 −1 packages/non-core/npm-node-aes-gcm/package.js
  82. +3 −2 packages/oauth-encryption/package.js
  83. +2 −0 packages/oauth/oauth_common.js
  84. +1 −1 packages/oauth/package.js
  85. +1 −1 packages/oauth1/package.js
  86. +1 −1 packages/oauth2/package.js
  87. +1 −1 packages/observe-sequence/package.js
  88. +1 −1 packages/ordered-dict/package.js
  89. +1 −1 packages/package-stats-opt-out/package.js
  90. +0 −1 packages/package-version-parser/package-version-parser.js
  91. +411 −0 packages/package-version-parser/package-version-parser.js
  92. +1 −1 packages/package-version-parser/package.js
  93. +1 −1 packages/preserve-inputs/package.js
  94. +1 −1 packages/random/package.js
  95. +1 −1 packages/reactive-dict/package.js
  96. +1 −1 packages/reactive-var/package.js
  97. +1 −1 packages/reload-safetybelt/package.js
  98. +1 −1 packages/reload/package.js
  99. +1 −1 packages/retry/package.js
  100. +1 −1 packages/routepolicy/package.js
  101. +1 −1 packages/service-configuration/package.js
  102. +1 −1 packages/session/package.js
  103. +1 −1 packages/sha/package.js
  104. +1 −1 packages/showdown/package.js
  105. +1 −1 packages/spacebars-compiler/package.js
  106. +1 −1 packages/spacebars-tests/package.js
  107. +1 −1 packages/spacebars/package.js
  108. +1 −1 packages/spiderable/package.js
  109. +1 −1 packages/srp/package.js
  110. +1 −1 packages/standard-app-packages/package.js
  111. +1 −1 packages/startup/package.js
  112. +1 −1 packages/stylus/package.js
  113. +1 −1 packages/templating/package.js
  114. +1 −1 packages/test-helpers/package.js
  115. +1 −1 packages/test-in-browser/package.js
  116. +1 −1 packages/test-in-console/package.js
  117. +1 −1 packages/test-server-tests-in-console-once/package.js
  118. +1 −1 packages/tinytest/package.js
  119. +1 −1 packages/tracker/package.js
  120. +1 −1 packages/twitter/package.js
  121. +1 −1 packages/ui/package.js
  122. +1 −1 packages/underscore-tests/package.js
  123. +1 −1 packages/underscore/package.js
  124. +1 −1 packages/url/package.js
  125. +1 −1 packages/webapp-hashing/package.js
  126. +1 −1 packages/webapp/package.js
  127. +1 −1 packages/weibo/package.js
  128. +1 −1 packages/xmlbuilder/package.js
  129. +3 −4 scripts/admin/bump-all-version-numbers.js
  130. +4 −1 scripts/admin/copy-dev-bundle-from-jenkins.sh
  131. +39 −0 scripts/admin/copy-windows-installer-from-jenkins.sh
  132. +4 −4 scripts/admin/meteor-release-experimental.json
  133. +68 −0 scripts/admin/publish-meteor-tool-on-all-platforms.sh
  134. +151 −0 scripts/admin/publish-meteor-tool-on-arch.sh
  135. +16 −0 scripts/admin/publish-meteor-tool.bat
  136. +9 −0 scripts/dev-bundle-tool-package.js
  137. +125 −0 scripts/generate-dev-bundle.ps1
  138. +4 −0 scripts/windows/.gitignore
  139. +558 −0 scripts/windows/InstallMeteor.cs
  140. +21 −0 scripts/windows/build-installer.ps1
  141. +18 −0 scripts/windows/check-dev-bundle.ps1
  142. +36 −0 scripts/windows/download-dev-bundle.ps1
  143. +14 −6 tools/archinfo.js
  144. +16 −3 tools/auth.js
  145. +10 −1 tools/builder.js
  146. +34 −19 tools/bundler.js
  147. +8 −1 tools/catalog-remote.js
  148. +6 −8 tools/cleanup.js
  149. +92 −0 tools/colon-converter.js
  150. +2 −2 tools/commands-cordova.js
  151. +32 −9 tools/commands-packages.js
  152. +46 −23 tools/commands.js
  153. +47 −19 tools/compiler.js
  154. +1 −1 tools/config.js
  155. +9 −4 tools/console.js
  156. +331 −164 tools/files.js
  157. +2 −2 tools/isopack-cache.js
  158. +113 −74 tools/isopack.js
  159. +30 −4 tools/main.js
  160. +49 −27 tools/meteor-npm.js
  161. +40 −13 tools/package-client.js
  162. +19 −3 tools/package-source.js
  163. +1 −409 tools/package-version-parser.js
  164. +2 −3 tools/run-all.js
  165. +27 −8 tools/run-app.js
  166. +4 −4 tools/run-log.js
  167. +85 −19 tools/run-mongo.js
  168. +7 −3 tools/safe-pathwatcher.js
  169. +11 −17 tools/selftest.js
  170. +16 −5 tools/server/boot.js
  171. +102 −0 tools/server/mini-files.js
  172. +8 −0 tools/server/shell.js
  173. +2 −2 tools/skel-pack/package.js
  174. 0 tools/skel-pack/{~name~-tests.js → ~fs-name~-tests.js}
  175. 0 tools/skel-pack/{~name~.js → ~fs-name~.js}
  176. BIN tools/tests/built-packages/has-colons.tgz
  177. +141 −0 tools/tests/colon-converter-tests.js
  178. +4 −4 tools/tests/old/test-bundler-npm.js
  179. +4 −2 tools/tests/package-tests.js
  180. BIN tools/tests/packages/has-colons.tgz
  181. +13 −0 tools/tests/packages/package-with-colons/package.js
  182. +209 −57 tools/tropohouse.js
  183. +2 −2 tools/updater.js
  184. +0 −8 tools/utils.js
  185. +1 −1 tools/warehouse.js
View
2 meteor
@@ -1,6 +1,6 @@
#!/bin/bash
-BUNDLE_VERSION=0.3.84
+BUNDLE_VERSION=0.4.9
# OS Check. Put here because here is where we download the precompiled
# bundles that are arch specific.
View
@@ -0,0 +1,21 @@
+@echo off
+
+rem only if we are running from a checkout
+IF EXIST "%~dp0\.git" (
+ rem if dev_bundle is not present, get it
+ IF NOT EXIST "%~dp0\dev_bundle" (
+ PowerShell.exe -executionpolicy ByPass -file "%~dp0\scripts\windows\download-dev-bundle.ps1"
+ )
+
+ rem if dev_bundle is the wrong version, remove it and get a new one
+ PowerShell.exe -executionpolicy ByPass -file "%~dp0\scripts\windows\check-dev-bundle.ps1"
+ IF errorlevel 1 (
+ rmdir /s /q "%~dp0\dev_bundle"
+ PowerShell.exe -executionpolicy ByPass -file "%~dp0\scripts\windows\download-dev-bundle.ps1"
+ )
+)
+
+SET NODE_PATH=%~dp0\dev_bundle\lib\node_modules
+
+"%~dp0\dev_bundle\bin\node.exe" "%~dp0\tools\main.js" %*
+
@@ -1,6 +1,6 @@
Package.describe({
summary: "A user account system",
- version: "1.1.3"
+ version: "1.1.4-winr.2"
});
Package.onUse(function (api) {
@@ -1,6 +1,6 @@
Package.describe({
summary: "Login service for Facebook accounts",
- version: "1.0.3"
+ version: "1.0.4-winr.2"
});
Package.onUse(function(api) {
@@ -1,6 +1,6 @@
Package.describe({
summary: "Login service for Github accounts",
- version: "1.0.3"
+ version: "1.0.4-winr.2"
});
Package.onUse(function(api) {
@@ -1,6 +1,6 @@
Package.describe({
summary: "Login service for Google accounts",
- version: "1.0.3"
+ version: "1.0.4-winr.2"
});
Package.onUse(function(api) {
@@ -1,6 +1,6 @@
Package.describe({
summary: "Login service for Meetup accounts",
- version: "1.0.3"
+ version: "1.0.4-winr.2"
});
Package.onUse(function(api) {
@@ -1,6 +1,6 @@
Package.describe({
summary: "Login service for Meteor developer accounts",
- version: "1.0.3"
+ version: "1.0.4-winr.2"
});
Package.onUse(function (api) {
@@ -1,6 +1,6 @@
Package.describe({
summary: "Common code for OAuth-based login services",
- version: "1.1.3"
+ version: "1.1.4-winr.2"
});
Package.onUse(function (api) {
@@ -1,10 +1,10 @@
Package.describe({
summary: "Password support for accounts",
- version: "1.0.6"
+ version: "1.0.6-winr.5"
});
Package.onUse(function(api) {
- api.use('npm-bcrypt@=0.7.7', 'server');
+ api.use('npm-bcrypt@0.7.8-winr.3');
api.use('accounts-base', ['client', 'server']);
// Export Accounts (etc) to packages using this one.
@@ -1,6 +1,6 @@
Package.describe({
summary: "Login service for Twitter accounts",
- version: "1.0.3"
+ version: "1.0.4-winr.2"
});
Package.onUse(function(api) {
@@ -1,6 +1,6 @@
Package.describe({
summary: "Unstyled version of login widgets",
- version: "1.1.6"
+ version: "1.1.6-winr.4"
});
Package.onUse(function (api) {
@@ -1,6 +1,6 @@
Package.describe({
summary: "Simple templates to add login widgets to an app",
- version: "1.1.4"
+ version: "1.1.5-winr.2"
});
Package.onUse(function (api) {
@@ -1,6 +1,6 @@
Package.describe({
summary: "Login service for Sina Weibo accounts",
- version: "1.0.3"
+ version: "1.0.4-winr.2"
});
Package.onUse(function(api) {
@@ -1,6 +1,6 @@
Package.describe({
summary: "Enable the application cache in the browser",
- version: "1.0.3"
+ version: "1.0.4-winr.2"
});
Package.onUse(function (api) {
@@ -1,6 +1,6 @@
Package.describe({
summary: "Try to detect inadequate input sanitization",
- version: '1.0.2'
+ version: '1.0.3-winr.2'
});
// This package is empty; its presence is detected by livedata.
@@ -1,6 +1,6 @@
Package.describe({
summary: "Publish the entire database to all clients",
- version: '1.0.2'
+ version: '1.0.3-winr.2'
});
// This package is empty; its presence is detected by livedata and
@@ -1,6 +1,6 @@
Package.describe({
summary: "Update the client when new client code is available",
- version: '1.1.5'
+ version: '1.1.5-winr.4'
});
Cordova.depends({
@@ -1,6 +1,6 @@
Package.describe({
summary: "Base64 encoding and decoding",
- version: '1.0.2'
+ version: '1.0.3-winr.2'
});
Package.onUse(function (api) {
@@ -1,6 +1,6 @@
Package.describe({
summary: "Binary Heap datastructure implementation",
- version: '1.0.2'
+ version: '1.0.3-winr.2'
});
Package.onUse(function (api) {
@@ -1,6 +1,6 @@
Package.describe({
summary: "Compile-time tools for Blaze",
- version: '1.0.2'
+ version: '1.0.3-winr.2'
});
Package.onUse(function (api) {
@@ -1,6 +1,6 @@
Package.describe({
summary: "Meteor Reactive Templating library",
- version: '2.0.4'
+ version: '2.0.5-winr.2'
});
Package.onUse(function (api) {
@@ -1,6 +1,6 @@
Package.describe({
summary: "Generates the boilerplate html from program's manifest",
- version: '1.0.2'
+ version: '1.0.3-winr.2'
});
Package.onUse(function (api) {
@@ -1,6 +1,6 @@
Package.describe({
summary: "Common code for browser-policy packages",
- version: "1.0.2"
+ version: "1.0.3-winr.2"
});
Package.onUse(function (api) {
@@ -1,6 +1,6 @@
Package.describe({
summary: "Configure content security policies",
- version: "1.0.3"
+ version: "1.0.4-winr.2"
});
Package.onUse(function (api) {
@@ -1,6 +1,6 @@
Package.describe({
summary: "Restrict which websites can frame your app",
- version: "1.0.3"
+ version: "1.0.4-winr.2"
});
Package.onUse(function (api) {
@@ -1,6 +1,6 @@
Package.describe({
summary: "Configure security policies enforced by the browser",
- version: "1.0.3"
+ version: "1.0.4-winr.2"
});
Package.onUse(function (api) {
@@ -1,6 +1,6 @@
Package.describe({
summary: "Register callbacks on a hook",
- version: '1.0.2'
+ version: '1.0.3-winr.2'
});
Package.onUse(function (api) {
@@ -1,6 +1,6 @@
Package.describe({
summary: "Check whether a value matches a pattern",
- version: '1.0.4'
+ version: '1.0.4-win.0'
});
Package.onUse(function (api) {
@@ -8,7 +8,7 @@ var path = Npm.require('path');
Package.describe({
summary: "Syntax highlighting of code, from Google",
- version: "1.0.2"
+ version: "1.0.3-winr.2"
});
// XXX this code dumps symbols into the global namespace (directly
@@ -1,6 +1,6 @@
Package.describe({
summary: "Used by the coffeescript package's tests",
- version: "1.0.2"
+ version: "1.0.3-winr.2"
});
Package.onUse(function (api) {
@@ -1,6 +1,6 @@
Package.describe({
summary: "Javascript dialect with fewer braces and semicolons",
- version: "1.0.5"
+ version: "1.0.6-winr.2"
});
Package.registerBuildPlugin({
@@ -1,6 +1,6 @@
Package.describe({
summary: "Given the set of the constraints, picks a satisfying configuration",
- version: "1.0.17"
+ version: "1.0.17-winr.4"
});
Npm.depends({
View
@@ -1,6 +1,6 @@
Package.describe({
summary: "Meteor's latency-compensated distributed data framework",
- version: '1.0.14'
+ version: '1.0.14-winr.4'
});
// We use 'faye-websocket' for connections in server-to-server DDP, mostly
View
@@ -2,7 +2,7 @@
Package.describe({
summary: "Deprecated: Use the 'tracker' package instead.",
- version: '1.0.6'
+ version: '1.0.7-winr.2'
});
Package.onUse(function (api) {
@@ -1,6 +1,6 @@
Package.describe({
summary: "Disables oplog tailing",
- version: '1.0.2'
+ version: '1.0.3-winr.2'
});
// This package is empty; its presence is detected by mongo-livedata.
@@ -1,6 +1,6 @@
Package.describe({
summary: "Extended and Extensible JSON library",
- version: '1.0.5'
+ version: '1.0.6-winr.2'
});
Package.onUse(function (api) {
@@ -1,6 +1,6 @@
Package.describe({
summary: "Send email messages",
- version: "1.0.5"
+ version: "1.0.6-winr.2"
});
Npm.depends({
@@ -1,6 +1,6 @@
Package.describe({
summary: "Facebook OAuth flow",
- version: "1.1.3"
+ version: "1.1.4-winr.2"
});
Package.onUse(function(api) {
@@ -1,6 +1,6 @@
Package.describe({
summary: "Publish internal app statistics",
- version: '1.0.3'
+ version: '1.0.4-winr.2'
});
Package.onUse(function (api) {
@@ -1,6 +1,6 @@
Package.describe({
summary: "Faster touch events on mobile",
- version: '1.0.2'
+ version: '1.0.3-winr.2'
});
Package.onUse(function (api) {
@@ -1,6 +1,6 @@
Package.describe({
summary: "Require this application to use HTTPS",
- version: "1.0.3"
+ version: "1.0.4-winr.2"
});
Package.onUse(function (api) {
@@ -1,6 +1,6 @@
Package.describe({
summary: 'GeoJSON utility functions (from https://github.com/maxogden/geojson-js-utils)',
- version: '1.0.2'
+ version: '1.0.3-winr.2'
});
Package.onUse(function (api) {
@@ -1,6 +1,6 @@
Package.describe({
summary: "Github OAuth flow",
- version: "1.1.2"
+ version: "1.1.3-winr.2"
});
Package.onUse(function(api) {
@@ -1,6 +1,6 @@
Package.describe({
summary: "Google OAuth flow",
- version: "1.1.4"
+ version: "1.1.4-winr.4"
});
Package.onUse(function(api) {
@@ -1,6 +1,6 @@
Package.describe({
summary: "Deprecated",
- version: '1.0.2'
+ version: '1.0.3-winr.2'
});
Package.onUse(function (api) {
@@ -1,6 +1,6 @@
Package.describe({
summary: "Standards-compliant HTML tools",
- version: '1.0.3'
+ version: '1.0.3-winr.3'
});
Package.onUse(function (api) {
Oops, something went wrong.

0 comments on commit 13de1a8

Please sign in to comment.